(function() {
	var History = /*@__PURE__*/ (function(Component) {
		function History(props) {
			Component.call(this, props);
			this.data = {};
		}

		if (Component) History.__proto__ = Component;
		History.prototype = Object.create(Component && Component.prototype);
		History.prototype.constructor = History;
		History.prototype.apiready = function() {};
		History.prototype.render = function() {
			return apivm.h(
				"view",
				{class: "history_wrap"},
				apivm.h("text", {class: "history_title"}, "历史操作记录"),
				apivm.h(
					"scroll-view",
					{class: "history_list", "scroll-x": "false", "scroll-y": true},
					apivm.h("view", {class: ""})
				)
			);
		};

		return History;
	})(Component);
	History.css = {
		".history_wrap": {
			width: "100%",
			height: "100vh",
			boxSizing: "border-box",
			padding: "20px"
		},
		".history_title": {
			width: "100%",
			textAlign: "center",
			fontSize: "40px",
			fontWeight: "bold",
			color: "#000000"
		},
		".history_list": {
			marginTop: "30px",
			border: "1px solid silver",
			width: "100%",
			height: "80vh"
		}
	};
	apivm.define("history", History);
	apivm.render(apivm.h("history", null), "body");
})();
